Ada Reference Manual (Ada 2022) — Legal Information

# 8.5.2 Exception Renaming Declarations

1
An exception_renaming_declaration is used to rename an exception.

#### Syntax

2/3
exception_renaming_declaration ::=
defining_identifier : exception renames exception_name
[aspect_specification];

#### Legality Rules

3
The renamed entity shall be an exception.

#### Static Semantics

4
An exception_renaming_declaration declares a new view of the renamed exception.

#### Examples

5
Example of renaming an exception:
6
EOF : exception renames Ada.IO_Exceptions.End_Error; -- see A.13

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe